List Environment File Chunks
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/environments/{environmentName}/files/{filePath}/chunks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects/{project_reference}/environments/{environmentName}/files/{filePath}/chunks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects/{project_reference}/environments/{environmentName}/files/{filePath}/chunks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"file_path": "<string>",
"file_version_id": "<string>",
"index": 123,
"content": "<string>",
"start_offset": 123,
"end_offset": 123,
"token_count": 123,
"source_checksum": "<string>",
"created_at": "<string>",
"file_id": "<string>",
"metadata": {},
"embedding": {
"id": "<string>",
"model": "<string>",
"status": "ready"
}
}
],
"page_info": {
"self": "<string>",
"first": null,
"next": "<string>",
"prev": "<string>"
}
}Lists chunks for a file in a project environment after verifying project read capability.
GET
/
projects
/
{project_reference}
/
environments
/
{environmentName}
/
files
/
{filePath}
/
chunks
List Environment File Chunks
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Project ID, slug, or domain from the authenticated context.
Environment name from the route.
URL-encoded file path for the chunked file.
Query Parameters
Maximum chunks to return, from 1 to 100.
Required range:
1 <= x <= 100Opaque cursor from page_info.next.
Whether to include embedding metadata when available.
⌘I